/************************************************************
***  3d_Players Version 0.1								  ***
*************************************************************/



/************************************************************
***  Doom Marine 										  ***
*************************************************************/
ACTOR DoomPlayerOriginal : PlayerPawn// replaces DoomPlayerOriginal
{
	Tag						"Doom"
	Speed 1
	Health 125
	Player.MaxHealth 125
	player.runhealth 19
	Radius 16
	Height 56
	Mass 100
	PainChance 128
	player.viewheight 		47
	player.attackzoffset 	18
	Player.ColorRange 		112, 127
	Player.DisplayName 		"Doom"
	Player.CrouchSprite 	"PLYC"
	Player.ScoreIcon		"IC_DOOM"
	Player.StartItem "KungFu"
	Player.StartItem "Magnum"
	Player.StartItem "MagnumBullets" 12
	Player.StartItem ReloadActive 1
	Player.StartItem ReloadCancel 1
	Player.StartItem UnloadActive 1
	Player.StartItem UnloadCancel 1
	Player.StartItem DropAmmoActive 1
	Player.StartItem DropAmmoCancel 1
	Player.StartItem DropWeaponActive 1
	Player.StartItem DropWeaponCancel 1
	Player.StartItem ThrowGrenadeActive 1
	Player.StartItem ThrowGrenadeCancel 1
	Player.StartItem NextGrenadeActive 1
	Player.StartItem NextGrenadeCancel 1
	Player.StartItem GrenadeDetonatorActive 1
	Player.StartItem GrenadeDetonatorGrenadeCancel 1
	States
	{
	Spawn:
		PLAY AB 5
		TNT1 A 0 A_JumpIfHealthLower(20, 1)
		Loop
		TNT1 A 0 A_GiveInventory("HealthTimer", 10)//A_GiveInventory("HealthTimer", 10)
		TNT1 A 0 A_JumpIfInventory("HealthTimer", 100, 1)
		Loop
		TNT1 A 0 A_TakeInventory("HealthTimer", 100)
		TNT1 A 0 HealThing(1)
		Loop
	See:
		PLAY CDEFGH 3
		Loop
	Melee:
//		TNT1 A 0 A_Jump(128, "Melee2")
//		MELE ABCDE 1
//		Goto Spawn
//	Melee2:
//		MEL2 ABCDE 1
//		Goto Spawn
	Missile:
		PLAY IJKL 2 bright//PLAY IJKLMNOP 2 bright
		Goto Spawn
	Pain:
		PLAY Q 2 
		PLAY R 2 A_Pain
		PLAY ST 2
		Goto Spawn
	Death:
		TNT1 A 0 A_Jump(128, "Death2")
		DEAD A 5// A_PlayerSkinCheck("AltSkinDeath")
		DEAD B 5 A_PlayerScream
		DEAD C 5 A_NoBlocking
		DEAD D 5
		DEAD E -1
		Stop
	Death2:
		DEA2 A 5// A_PlayerSkinCheck("AltSkinDeath")
		DEA2 B 5 A_PlayerScream
		DEA2 C 5 A_NoBlocking
		DEA2 DE 5
		DEA2 F -1
		Stop
	XDeath:
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_SpawnDebris("rGib1",0) //(Human hand)
		TNT1 A 0 A_SpawnDebris("rGib2",0) //(Human arm)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib19",0) //(brain)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A -1
		NULL A -1
		Stop
//	XDeath:
//		PLAY O 5 A_PlayerSkinCheck(AltSkinXDeath)
//		PLAY P 5 A_XScream
//		PLAY Q 5 A_NoBlocking
//		PLAY RSTUV 5
//		PLAY W -1
//		Stop
//	AltSkinDeath:
//		PLAY H 6
//		PLAY I 6 A_PlayerScream
//		PLAY JK 6
//		PLAY L 6 A_NoBlocking
//		PLAY MNO 6
//		PLAY P -1
//		Stop
//	AltSkinXDeath:
//		PLAY Q 5 A_PlayerScream
//		PLAY R 0 A_NoBlocking
//		PLAY R 5 A_SkullPop
//		PLAY STUVWX 5
//		PLAY Y -1
//		Stop
	Burn: 
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_PlaySound("human/burndeath")
		TNT1 A 0 A_SpawnItem("Human_Burn", 0, 0, 0)
		TNT1 A -1
		NULL A -1
		Stop
	}
}
/************************************************************
***  Caleb 												  ***
*************************************************************/
ACTOR ClassPlayerCaleb : PlayerPawn
{
	Tag						"Caleb"
	Speed 1
	Health 100
	Player.MaxHealth 100
	player.runhealth 19
	Radius 16
	Height 56
	Mass 100
	PainChance 128
	player.viewheight 		47
	player.attackzoffset 	18
	Player.ColorRange 		112, 127
	Player.DisplayName 		"Caleb"
	Player.CrouchSprite 	"PLC2"
	Player.ScoreIcon		"IC_CALEB"
	Player.SoundClass		"Caleb"
	Player.StartItem "KungFu"
	Player.StartItem "Fuel" 30
	Player.StartItem ReloadActive 1
	Player.StartItem ReloadCancel 1
	Player.StartItem UnloadActive 1
	Player.StartItem UnloadCancel 1
	Player.StartItem DropAmmoActive 1
	Player.StartItem DropAmmoCancel 1
	Player.StartItem DropWeaponActive 1
	Player.StartItem DropWeaponCancel 1
	Player.StartItem ThrowGrenadeActive 1
	Player.StartItem ThrowGrenadeCancel 1
	Player.StartItem NextGrenadeActive 1
	Player.StartItem NextGrenadeCancel 1
	Player.StartItem GrenadeDetonatorActive 1
	Player.StartItem GrenadeDetonatorGrenadeCancel 1
	States
	{
	Spawn:
		PLY3 AB 5
		TNT1 A 0 A_JumpIfHealthLower(50, 1)
		Loop
		TNT1 A 0 A_GiveInventory("HealthTimer", 20)//A_GiveInventory("HealthTimer", 10)
		TNT1 A 0 A_JumpIfInventory("HealthTimer", 100, 1)
		Loop
		TNT1 A 0 A_TakeInventory("HealthTimer", 100)
		TNT1 A 0 HealThing(1)
		Loop
	See:
		PLY3 CDEFGH 3
		Loop
	Melee:
//		TNT1 A 0 A_Jump(128, "Melee2")
//		MELE ABCDE 1
//		Goto Spawn
//	Melee2:
//		MEL2 ABCDE 1
//		Goto Spawn
	Missile:
		PLY3 IJKL 2 bright//PLY3 IJKLMNOP 2 bright
		Goto Spawn
	Pain:
		PLY3 Q 2 
		PLY3 R 2 A_Pain
		PLY3 ST 2
		Goto Spawn
	Death:
		TNT1 A 0 A_Jump(128, "Death2")
		DEAD A 5// A_PlayerSkinCheck("AltSkinDeath")
		DEAD B 5 A_PlayerScream
		DEAD C 5 A_NoBlocking
		DEAD D 5
		DEAD E -1
		Stop
	Death2:
		DEA2 A 5// A_PlayerSkinCheck("AltSkinDeath")
		DEA2 B 5 A_PlayerScream
		DEA2 C 5 A_NoBlocking
		DEA2 DE 5
		DEA2 F -1
		Stop
	XDeath:
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_SpawnDebris("rGib1",0) //(Human hand)
		TNT1 A 0 A_SpawnDebris("rGib2",0) //(Human arm)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib19",0) //(brain)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A -1
		NULL A -1
		Stop
//	XDeath:
//		PLAY O 5 A_PlayerSkinCheck(AltSkinXDeath)
//		PLAY P 5 A_XScream
//		PLAY Q 5 A_NoBlocking
//		PLAY RSTUV 5
//		PLAY W -1
//		Stop
//	AltSkinDeath:
//		PLAY H 6
//		PLAY I 6 A_PlayerScream
//		PLAY JK 6
//		PLAY L 6 A_NoBlocking
//		PLAY MNO 6
//		PLAY P -1
//		Stop
//	AltSkinXDeath:
//		PLAY Q 5 A_PlayerScream
//		PLAY R 0 A_NoBlocking
//		PLAY R 5 A_SkullPop
//		PLAY STUVWX 5
//		PLAY Y -1
//		Stop
	Burn: 
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_PlaySound("human/burndeath")
		TNT1 A 0 A_SpawnItem("Human_Burn", 0, 0, 0)
		TNT1 A -1
		NULL A -1
		Stop
	}
}
/************************************************************
***  Psycho		 										  ***
*************************************************************/
ACTOR ClassPlayerCultist : PlayerPawn replaces ClassPlayerCultist//ACTOR ClassPlayerVigilante : PlayerPawn// replaces ClassPlayerCaleb
{
	Tag						"Vigilante"
	Health 100
	Player.MaxHealth 100
	player.runhealth 19
	Radius 16
	Height 56
	Mass 100
	PainChance 128
	Player.DisplayName 		"Vigilante"
	Player.ForwardMove 		1 1
	Player.SideMove 		1 1
	Player.ColorRange 		112 127
	player.viewheight 		52
	player.attackzoffset 	22
	player.crouchsprite 	"PLC2"
	Player.ScoreIcon		"IC_VIGIL"
//	+NOSKIN
	Player.StartItem "KungFu"
//	Player.StartItem "Fuel" 30
	Player.StartItem "SmallArmor"
	Player.StartItem ReloadActive 1
	Player.StartItem ReloadCancel 1
	Player.StartItem UnloadActive 1
	Player.StartItem UnloadCancel 1
	Player.StartItem DropAmmoActive 1
	Player.StartItem DropAmmoCancel 1
	Player.StartItem DropWeaponActive 1
	Player.StartItem DropWeaponCancel 1
	Player.StartItem ThrowGrenadeActive 1
	Player.StartItem ThrowGrenadeCancel 1
	Player.StartItem NextGrenadeActive 1
	Player.StartItem NextGrenadeCancel 1
	Player.StartItem GrenadeDetonatorActive 1
	Player.StartItem GrenadeDetonatorGrenadeCancel 1
	States
	{
	Spawn:
		PLC0 AB 5
		TNT1 A 0 A_JumpIfHealthLower(20, 1)
		Loop
		TNT1 A 0 A_GiveInventory("HealthTimer", 20)//A_GiveInventory("HealthTimer", 10)
		TNT1 A 0 A_JumpIfInventory("HealthTimer", 100, 1)
		Loop
		TNT1 A 0 A_TakeInventory("HealthTimer", 100)
		TNT1 A 0 HealThing(1)
		Loop
	See:
		PLC0 CDEFGH 3
		Loop
	Melee:
//		TNT1 A 0 A_Jump(128, "Melee2")
//		MELE ABCDE 1
//		Goto Spawn
//	Melee2:
//		MEL2 ABCDE 1
//		Goto Spawn
	Missile:
		PLC0 IJKL 2 bright//PLC0 IJKLMNOP 2 bright
		Goto Spawn
	Pain:
		PLC0 Q 2 
		PLC0 R 2 A_Pain
		PLC0 ST 2
		Goto Spawn
	Death:
		TNT1 A 0 A_Jump(128, "Death2")
		DEAD A 5// A_PLC0erSkinCheck("AltSkinDeath")
		DEAD B 5 A_PlayerScream
		DEAD C 5 A_NoBlocking
		DEAD D 5
		DEAD E -1
		Stop
	Death2:
		DEA2 A 5// A_PlayerSkinCheck("AltSkinDeath")
		DEA2 B 5 A_PlayerScream
		DEA2 C 5 A_NoBlocking
		DEA2 DE 5
		DEA2 F -1
		Stop
	XDeath:
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_SpawnDebris("rGib1",0) //(Human hand)
		TNT1 A 0 A_SpawnDebris("rGib2",0) //(Human arm)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib19",0) //(brain)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A -1
		NULL A -1
		Stop
//	XDeath:
//		PLC0 O 5 A_PlayerSkinCheck(AltSkinXDeath)
//		PLC0 P 5 A_XScream
//		PLC0 Q 5 A_NoBlocking
//		PLC0 RSTUV 5
//		PLC0 W -1
//		Stop
//	AltSkinDeath:
//		PLC0 H 6
//		PLC0 I 6 A_PlayerScream
//		PLC0 JK 6
//		PLC0 L 6 A_NoBlocking
//		PLC0 MNO 6
//		PLC0 P -1
//		Stop
//	AltSkinXDeath:
//		PLC0 Q 5 A_PlayerScream
//		PLC0 R 0 A_NoBlocking
//		PLC0 R 5 A_SkullPop
//		PLC0 STUVWX 5
//		PLC0 Y -1
//		Stop
	Burn: 
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_PlaySound("human/burndeath")
		TNT1 A 0 A_SpawnItem("Human_Burn", 0, 0, 0)
		TNT1 A -1
		NULL A -1
		Stop
	}
}
/************************************************************
***  Grunt		 										  ***
*************************************************************/
ACTOR DoomPlayerGrunt : PlayerPawn
{
	Tag						"Grunt"
	Speed 0.90
	Health 150
	Player.MaxHealth 150
	player.runhealth 4
	Radius 16
	Height 56
	Mass 100
	PainChance 128
	player.viewheight 		47
	player.attackzoffset 	18
	Player.ColorRange 		112, 127
	Player.DisplayName 		"Train"
	Player.CrouchSprite 	"PLYC"
	Player.ScoreIcon		"IC_GRUNT"
	Player.StartItem "KungFu"
//	Player.StartItem "Magnum"
//	Player.StartItem "MagnumBullets" 12
	Player.StartItem ReloadActive 1
	Player.StartItem ReloadCancel 1
	Player.StartItem UnloadActive 1
	Player.StartItem UnloadCancel 1
	Player.StartItem DropAmmoActive 1
	Player.StartItem DropAmmoCancel 1
	Player.StartItem DropWeaponActive 1
	Player.StartItem DropWeaponCancel 1
	Player.StartItem ThrowGrenadeActive 1
	Player.StartItem ThrowGrenadeCancel 1
	Player.StartItem NextGrenadeActive 1
	Player.StartItem NextGrenadeCancel 1
	Player.StartItem GrenadeDetonatorActive 1
	Player.StartItem GrenadeDetonatorGrenadeCancel 1
	States
	{
	Spawn:
		PLY1 ABA 5
		TNT1 A 0 A_JumpIfHealthLower(20, 1)
		Loop
		TNT1 A 0 A_GiveInventory("HealthTimer", 5)//A_GiveInventory("HealthTimer", 10)
		TNT1 A 0 A_JumpIfInventory("HealthTimer", 100, 1)
		Loop
		TNT1 A 0 A_TakeInventory("HealthTimer", 100)
		TNT1 A 0 HealThing(1)
		Loop
	See:
		PLY1 CDEFGH 3
		Loop
	Melee:
	Missile:
		PLY1 IJKL 2 bright//PLY1 IJKLMNOP 2 bright
		Goto Spawn
	Pain:
		PLY1 Q 2 
		PLY1 R 2 A_Pain
		PLY1 ST 2
		Goto Spawn
	Death:
		TNT1 A 0 A_Jump(128, "Death2")
		DEAD A 5// A_PlayerSkinCheck("AltSkinDeath")
		DEAD B 5 A_PlayerScream
		DEAD C 5 A_NoBlocking
		DEAD D 5
		DEAD E -1
		Stop
	Death2:
		DEA2 A 5// A_PlayerSkinCheck("AltSkinDeath")
		DEA2 B 5 A_PlayerScream
		DEA2 C 5 A_NoBlocking
		DEA2 DE 5
		DEA2 F -1
		Stop
	XDeath:
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_SpawnDebris("rGib1",0) //(Human hand)
		TNT1 A 0 A_SpawnDebris("rGib2",0) //(Human arm)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib19",0) //(brain)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A -1
		NULL A -1
		Stop
	Burn: 
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_PlaySound("human/burndeath")
		TNT1 A 0 A_SpawnItem("Human_Burn", 0, 0, 0)
		TNT1 A -1
		NULL A -1
		Stop
	}
}
/************************************************************
***  Grunt female 										  ***
*************************************************************/
ACTOR DoomPlayerGruntFemale : PlayerPawn
{
	Tag						"Grunt_female"
	Speed 1.1
	Health 100
	Player.MaxHealth 100
	player.runhealth 19
	Radius 16
	Height 56
	Mass 100
	PainChance 128
	player.viewheight 		47
	player.attackzoffset 	18
	Player.ColorRange 		112, 127
	Player.DisplayName 		"Voodoo"
	Player.CrouchSprite 	"PLYC"
	Player.ScoreIcon		"IC_G_FE"
	Player.SoundClass		"GruntFemale"
	Player.StartItem "KungFu"
//	Player.StartItem "Magnum"
//	Player.StartItem "MagnumBullets" 12
	Player.StartItem ReloadActive 1
	Player.StartItem ReloadCancel 1
	Player.StartItem UnloadActive 1
	Player.StartItem UnloadCancel 1
	Player.StartItem DropAmmoActive 1
	Player.StartItem DropAmmoCancel 1
	Player.StartItem DropWeaponActive 1
	Player.StartItem DropWeaponCancel 1
	Player.StartItem ThrowGrenadeActive 1
	Player.StartItem ThrowGrenadeCancel 1
	Player.StartItem NextGrenadeActive 1
	Player.StartItem NextGrenadeCancel 1
	Player.StartItem GrenadeDetonatorActive 1
	Player.StartItem GrenadeDetonatorGrenadeCancel 1
	States
	{
	Spawn:
		PLY2 AB 5
		TNT1 A 0 A_JumpIfHealthLower(35, 1)
		Loop
		TNT1 A 0 A_GiveInventory("HealthTimer", 20)//A_GiveInventory("HealthTimer", 10)
		TNT1 A 0 A_JumpIfInventory("HealthTimer", 100, 1)
		Loop
		TNT1 A 0 A_TakeInventory("HealthTimer", 100)
		TNT1 A 0 HealThing(1)
		Loop
	See:
		PLY2 CDEFGH 3
		Loop
	Melee:
	Missile:
		PLY2 IJKL 2 bright//PLY2 IJKLMNOP 2 bright
		Goto Spawn
	Pain:
		PLY2 Q 2 
		PLY2 R 2 A_Pain
		PLY2 ST 2
		Goto Spawn
	Death:
		TNT1 A 0 A_Jump(128, "Death2")
		DEAD A 5// A_PlayerSkinCheck("AltSkinDeath")
		DEAD B 5 A_PlayerScream
		DEAD C 5 A_NoBlocking
		DEAD D 5
		DEAD E -1
		Stop
	Death2:
		DEA2 A 5// A_PlayerSkinCheck("AltSkinDeath")
		DEA2 B 5 A_PlayerScream
		DEA2 C 5 A_NoBlocking
		DEA2 DE 5
		DEA2 F -1
		Stop
	XDeath:
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_SpawnDebris("rGib1",0) //(Human hand)
		TNT1 A 0 A_SpawnDebris("rGib2",0) //(Human arm)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib3",0) //(eyeball)
		TNT1 A 0 A_SpawnDebris("rGib19",0) //(brain)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A 0 A_SpawnItem("rxGibGenerator_s",0,0,0,0)
		TNT1 A -1
		NULL A -1
		Stop
	Burn: 
		TNT1 A 0 A_NoBlocking
		TNT1 A 0 A_PlaySound("human/burndeath")
		TNT1 A 0 A_SpawnItem("Human_Burn", 0, 0, 0)
		TNT1 A -1
		NULL A -1
		Stop
	}
}
